> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a webhook

> Deletes a webhook subscription.




## OpenAPI

````yaml openAPI/webhooks.yaml delete /v2/webhooks/{id}
openapi: 3.0.0
info:
  title: Webhook Management API
  version: 2.0.0
  description: API for managing webhook subscriptions.
servers:
  - url: https://api-sandbox.argyle.com
    description: Sandbox
  - url: https://api.argyle.com
    description: Production
security:
  - basicAuth: []
paths:
  /v2/webhooks/{id}:
    delete:
      tags:
        - Webhook management
      summary: Delete a webhook
      description: Deletes a webhook subscription.
      operationId: deleteWebhook
      parameters:
        - in: path
          name: id
          required: true
          description: ID of the webhook subscription.
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: '204 status code: No content.'
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````